#cloud-config

# System update
package_update: true
package_upgrade: true

# Install Packages
packages:
  - curl
  - git

runcmd:
# Install Rust
  - "curl --proto '=https' --tlsv1.2 -sSf https://sh.rustup.rs | sh -s -- -y"
  - "source \"$HOME/.cargo/env\""
# Install Docker
  - "curl -fsSL https://get.docker.com -o get-docker.sh"
  - "sh get-docker.sh"
# Install atrium
  - "git clone https://github.com/nicolaspernoud/atrium.git ./root/atrium"
# Install Code Server
  - "curl -fsSL https://code-server.dev/install.sh | sh"
  - "mkdir -p  /root/.config/code-server/"
  - "echo 'bind-addr: 0.0.0.0:8080\nauth: password\npassword: $(echo scw-userdata user_password)\ncert: false\n' > /root/.config/code-server/config.yaml"
# Run Code Server
#  - "systemctl enable --now code-server@$USER"
# Run Webtop Container
#  - "docker run -d --name=webtop --security-opt seccomp=unconfined -e PUID=0 -e PGID=0 -e TZ=Europe/Paris -e SUBFOLDER=/ -e KEYBOARD=fr-fr-azerty -e AUTO_LOGIN=false -p 80:3000 -v /root/webtop_data/:/config -v /var/run/docker.sock:/var/run/docker.sock --shm-size=8gb --cap-add=NET_ADMIN --privileged --restart unless-stopped --sysctl net.ipv6.conf.all.disable_ipv6=0 lscr.io/linuxserver/webtop:ubuntu-xfce"
